## jamnntpd 1.3

=== src/Makefile ===
# type either "make linux", "make win32" or "make os2" to compile

MAKE = make

help:
	@echo You can use this Makefile in the following ways:
	@echo make linux ............ Make Linux binaries
	@echo make win32 ............ Make Win32 binaries
	@echo make os2   ............ Make OS/2 binaries (EMX)
	@echo make cleanlinux ....... Remove object files under Linux
	@echo make cleanwin32 ....... Remove object files under Win32
	@echo make cleanos2 ......... Remove object files under OS/2 (EMX)

linux :
	$(MAKE) -C jamlib -f Makefile.linux
	$(MAKE) -f Makefile.linux

win32 :
	$(MAKE) -C jamlib -f Makefile.win32
	$(MAKE) -f Makefile.win32

os2 :
	$(MAKE) -C jamlib -f Makefile.os2
	$(MAKE) -f Makefile.os2

cleanlinux :
	$(MAKE) -C jamlib -f Makefile.linux clean
	$(MAKE) -f Makefile.linux clean

cleanwin32 :
	$(MAKE) -C jamlib -f Makefile.win32 clean
	$(MAKE) -f Makefile.win32 clean

cleanos2 :
	$(MAKE) -C jamlib -f Makefile.os2 clean
	$(MAKE) -f Makefile.os2 clean

## jamnntpd 1.2

=== debian/changelog ===
jamnntpd (1.2-1) unstable; urgency=low

  * Initial release. (Closes: #223905)

 -- Robert James Clay <jame@rocasa.us>  Tue, 20 May 2014 13:28:47 -0400

=== debian/control ===
Source: jamnntpd
Section: news
Priority: extra
Maintainer: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.5
Homepage: http://ftnapps.sourceforge.net/jamnntpd.html
Vcs-Git: git://git.code.sf.net/p/ftnapps/jamnntpd/code
Vcs-Browser: http://sourceforge.net/p/ftnapps/jamnntpd/code

Package: jamnntpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: crashmail
Description: NNTP Server allowing newsreaders to access a JAM messagebase
 JamNNTPd is an attempt to merge Fidonet technology with modern Usenet
 newsreaders. Basically, JamNNTPd is NNTP server that allows newsreaders
 to access a JAM messagebase. (If you didn't understand a word of this, you
 may not want to use JamNNTPd anyway).

Package: jamnntpd-dbg
Architecture: any
Section: debug
Depends: jamnntpd (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for jamnntpd
 JamNNTPd is an attempt to merge Fidonet technology with modern Usenet
 newsreaders. Basically, JamNNTPd is NNTP server that allows newsreaders
 to access a JAM messagebase.
 .
 This package contains the debugging symbols for jamnntpd.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for jamnntpd

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C src cleanlinux

override_dh_auto_build:
	$(MAKE) -C src linux

override_dh_auto_install:
	dh_auto_install --destdir=debian/jamnntpd

override_dh_installchangelogs:
	dh_installchangelogs --keep History.txt

override_dh_installdocs:
	dh_installdocs --link-doc=jamnntpd

override_dh_strip:
	dh_strip --dbg-package=jamnntpd-dbg

.PHONY: override_dh_strip

=== debian/watch ===
# jamnntpd watch control file for uscan
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/jamnntpd.ftnapps.p/jamnntpd-(.+)\.(?:tar\.gz|tar\.bz2)

## jamnntpd 1.3

=== debian/changelog ===
jamnntpd (1.3-1) unstable; urgency=medium

  * New Upstream Release.
  * Changes to debian/control:
      Use https URL for the 'Vcs-Git' keyword.
      Use https URL for the 'Vcs-Browser' keyword.
      Declare compliance with Debian Policy 4.1.1.
      Add 'lsb-base (>= 3.0-6)' to the Depends setting.
      Remove the 'jamnntpd-dbg' stanza  as no longer necessary.
      Update the Debhelper Build-Depends version to '>= 9.20151219'.
  * Changes to debian/copyright:
      Change 'Copyright-Format 1.0' URL to use HTTPS.
      Update copyright years for the 'debian/*' Files stanza.
      Add Robert James Clay to the 'Files: *' stanza.
  * Changes to debian/rules:
      Add setting of hardening flags for package build.
      Update 'override_dh_strip' target for dbgsym migration.

 -- Robert James Clay <jame@rocasa.us>  Tue, 10 Oct 2017 13:15:22 -0400

=== debian/control ===
Source: jamnntpd
Section: news
Priority: optional
Maintainer: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 9.20151219)
Standards-Version: 4.1.1
Homepage: http://ftnapps.sourceforge.net/jamnntpd.html
Vcs-Git: https://git.code.sf.net/p/ftnapps/jamnntpd/code
Vcs-Browser: https://sourceforge.net/p/ftnapps/jamnntpd/code

Package: jamnntpd
Architecture: any
Depends: lsb-base (>= 3.0-6), ${shlibs:Depends}, ${misc:Depends}
Recommends: crashmail
Description: NNTP Server allowing newsreaders to access a JAM messagebase
 JamNNTPd is an attempt to merge Fidonet technology with modern Usenet
 newsreaders. Basically, JamNNTPd is NNTP server that allows newsreaders
 to access a JAM messagebase. (If you didn't understand a word of this, you
 may not want to use JamNNTPd anyway).
